## pandoc 1.12.4.2~dfsg

=== debian/changelog ===
pandoc (1.12.4.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update long descriptions:
    + Rewrap using Semantic Linefeeds.
    + Mention new reader Emacs Org-mode, and new writer InDesign ICML.
  * Update package relations:
    + Fix tighten GHC (build-)dependencies on quickcheck2 (although
      currently unused: testsuite is disabled).
    + Tighten GHC (build-)dependencies on texmath, pandoc-types, aeson,
      tagsoup, highlighting-kate and yaml.
    + Relax GHC (build-)dependencies on mtl, network and http-conduit.
    + Add GHC (build-)dependencies on scientific.
  * Update copyright info:
    + Extend coverage for upstream authors.
    + Fix double-indent subsequent copyright holders.
    + Extend packaging to cover recent years.
    + Bump licensing of packaging to GPL-3+.
    + Add GPL boilerplate to rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jun 2014 09:25:54 +0200

pandoc (1.12.3.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Closes: bug#738633.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten GHC (build-)dependencies on texmath, highlighting-kate.
    + Relax GHC (build-)dependencies on text, zip-archive, aeson,
      temporary, attoparsec, http-conduit, blaze-html, blaze-markup.
  * Suggest etoolbox, and clarify in long description when it is needed
    (PDF output of content with YAML metadata).
    Closes: bug#740099. Thanks to Michael D Johnson.
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2014 15:57:19 +0100

=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
 , Kiwamu Okabe <kiwamu@debian.or.jp>
 , Clint Adams <clint@debian.org>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 ghc,
 alex,
 happy,
 libghc-unordered-containers-dev (<< 3),
 libghc-parsec3-dev (<< 3.2),
 libghc-mtl-dev (<< 2.3),
 libghc-network-dev (<< 2.6),
 libghc-text-dev (<< 1.2),
 libghc-zip-archive-dev (>= 0.1.3.3),
 libghc-zip-archive-dev (<< 0.3),
 libghc-http-dev (<< 1:4000.3),
 libghc-texmath-dev (>= 0.6.6.1),
 libghc-texmath-dev (<< 0.7),
 libghc-xml-dev (<< 1.4),
 libghc-random-dev (<<1.1 ),
 libghc-extensible-exceptions-dev (<< 0.2),
 libghc-pandoc-types-dev (>= 1.12.3.3),
 libghc-pandoc-types-dev (<< 1.13),
 libghc-aeson-dev (>= 0.7),
 libghc-aeson-dev (<< 0.8),
 libghc-tagsoup-dev (>= 0.13.1),
 libghc-tagsoup-dev (<< 0.14),
 libghc-base64-bytestring-dev (<< 1.1),
 libghc-zlib-dev (<< 0.6),
 libghc-highlighting-kate-dev (>= 0.5.8),
 libghc-highlighting-kate-dev (<< 0.6),
 libghc-data-default-dev (>= 0.4),
 libghc-data-default-dev (<< 0.6),
 libghc-temporary-dev (<< 1.3),
 libghc-blaze-html-dev (>= 0.5),
 libghc-blaze-html-dev (<< 0.8),
 libghc-blaze-markup-dev (<< 0.8),
 libghc-attoparsec-dev (<< 0.12),
 libghc-yaml-dev (>= 0.8.8.2),
 libghc-yaml-dev (<< 0.9),
 libghc-scientific-dev (>= 0.2),
 libghc-scientific-dev (<< 0.3),
 libghc-hslua-dev (<< 0.4),
 libghc-http-conduit-dev (>= 1.9),
 libghc-http-conduit-dev (<< 2.2),
 libghc-http-types-dev (>= 0.8),
 libghc-http-types-dev (<< 0.9),
 libghc-text-dev (>= 0.11),
 libghc-text-dev (<< 0.12),
 libghc-syb-dev (<< 0.5),
 ghc-prof,
 libghc-unordered-containers-prof,
 libghc-parsec3-prof,
 libghc-mtl-prof,
 libghc-network-prof,
 libghc-zip-archive-prof,
 libghc-http-prof,
 libghc-texmath-prof,
 libghc-xml-prof,
 libghc-random-prof,
 libghc-extensible-exceptions-prof,
 libghc-pandoc-types-prof,
 libghc-aeson-prof,
 libghc-tagsoup-prof,
 libghc-base64-bytestring-prof,
 libghc-zlib-prof,
 libghc-highlighting-kate-prof,
 libghc-data-default-prof,
 libghc-temporary-prof,
 libghc-blaze-html-prof,
 libghc-blaze-markup-prof,
 libghc-attoparsec-prof,
 libghc-yaml-prof,
 libghc-scientific-prof,
 libghc-hslua-prof,
 libghc-http-conduit-prof,
 libghc-http-types-prof,
 libghc-text-prof,
 libghc-syb-prof,
 haskell-devscripts
Build-Depends-Indep: ghc-doc
  , libghc-unordered-containers-doc
  , libghc-parsec3-doc
  , libghc-mtl-doc
  , libghc-network-doc
  , libghc-text-doc
  , libghc-zip-archive-doc
  , libghc-http-doc
  , libghc-texmath-doc
  , libghc-xml-doc
  , libghc-random-doc
  , libghc-extensible-exceptions-doc
  , libghc-pandoc-types-doc
  , libghc-aeson-doc
  , libghc-tagsoup-doc
  , libghc-base64-bytestring-doc
  , libghc-zlib-doc
  , libghc-highlighting-kate-doc
  , libghc-data-default-doc
  , libghc-temporary-doc
  , libghc-blaze-html-doc
  , libghc-blaze-markup-doc
  , libghc-attoparsec-doc
  , libghc-yaml-doc
  , libghc-scientific-doc
  , libghc-hslua-doc
  , libghc-http-conduit-doc
  , libghc-http-types-doc
  , libghc-text-doc
  , libghc-syb-doc
  , libghc-blaze-builder-doc
  , libghc-digest-doc
  , libghc-dlist-doc
  , libghc-hs-bibutils-doc
  , libghc-pcre-light-doc
  , libghc-transformers-doc
  , libghc-utf8-string-doc
Standards-Version: 3.9.5
Homepage: http://johnmacfarlane.net/pandoc/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/pandoc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pandoc.git

Package: pandoc
Architecture: any
Depends: ${cdbs:Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: general markup converter
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read markdown and (subsets of) HTML, reStructuredText,
 LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, and Textile,
 and it can write markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
 Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax
 with footnotes, embedded LaTeX, definition lists, tables,
 and other features.
 A compatibility mode is provided
 for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML,
 which use regex substitutions,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the pandoc tool.
 .
 PDF output via PDFLaTeX requires the package texlive-latex-recommended.
  * XeLaTeX additionally requires texlive-xetex
  * LuaTeX additionally requires texlive-luatex
  * content with YAML metadata additionally requires etoolbox

Package: pandoc-data
Architecture: all
Depends: ${cdbs:Depends}
 , ${misc:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: general markup converter - data files
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read markdown and (subsets of) HTML, reStructuredText,
 LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, and Textile,
 and it can write markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
 Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax
 with footnotes, embedded LaTeX, definition lists, tables,
 and other features.
 A compatibility mode is provided
 for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML,
 which use regex substitutions,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the data files for pandoc.

Package: libghc-pandoc-dev
Section: haskell
Priority: extra
Architecture: any
Depends: ${cdbs:Depends}
 , ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
 , ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter - libraries
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read markdown and (subsets of) HTML, reStructuredText,
 LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, and Textile,
 and it can write markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
 Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax
 with footnotes, embedded LaTeX, definition lists, tables,
 and other features.
 A compatibility mode is provided
 for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML,
 which use regex substitutions,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-pandoc-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Description: general markup converter - library documentation
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read markdown and (subsets of) HTML, reStructuredText,
 LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, and Textile,
 and it can write markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
 Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax
 with footnotes, embedded LaTeX, definition lists, tables,
 and other features.
 A compatibility mode is provided
 for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML,
 which use regex substitutions,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the library documentation for Pandoc.

Package: libghc-pandoc-prof
Section: haskell
Priority: extra
Architecture: any
Depends: ${haskell:Depends}
 , ${haskell:Extra-Depends}
 , ${misc:Depends}
Suggests: ${cdbs:Suggests}
Provides: ${haskell:Provides}
Description: general markup converter - profiling libraries
 Pandoc is a Haskell library for converting
 from one markup format to another,
 and a command-line tool that uses this library.
 It can read markdown and (subsets of) HTML, reStructuredText,
 LaTeX, DocBook, MediaWiki markup, Haddock markup,
 OPML, Emacs Org-mode, and Textile,
 and it can write markdown, reStructuredText, HTML,
 LaTeX (including rendering as plain PDF or beamer slide shows),
 ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
 MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
 Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
 and several kinds of HTML/javascript slide shows
 (S5, Slidy, Slideous, DZSlides, reveal.js).
 .
 Pandoc extends standard markdown syntax
 with footnotes, embedded LaTeX, definition lists, tables,
 and other features.
 A compatibility mode is provided
 for those who need a drop-in replacement for Markdown.pl.
 .
 In contrast to existing tools for converting markdown to HTML,
 which use regex substitutions,
 pandoc has a modular design:
 it consists of a set of readers, which parse text in a given format
 and produce a native representation of the document,
 and a set of writers,
 which convert this native representation into a target format.
 Thus,
 adding an input or output format requires only adding a reader or writer.
 .
 This package contains the profiling libraries for Pandoc.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright © 2006-2010 John MacFarlane <jgm@berkeley.edu>
# Copyright © 2007-2008 Recai Oktaş <roktas@debian.org>
# Copyright © 2008-2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Pandoc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

# ABI by default follows upstream version (without repackaging suffix)
abi = $(DEB_UPSTREAM_TARBALL_VERSION)

DEB_UPSTREAM_URL = https://hackage.haskell.org/package/$(DEB_UPSTREAM_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)

DEB_UPSTREAM_REPACKAGE_EXCLUDES = data/LaTeXMathML.js tests/s5.fancy.html

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(gif|jpg|odt)|debian/(changelog|copyright(|_hints|_newhints))$

DEB_INSTALL_MANPAGES_pandoc = man/man1/*.1 man/man5/*.5 debian/hsmarkdown.1

# Use threaded RTS only when supported
# TODO: use _GHC_ after jessie: supported since haskell-devscripts 0.8.5
DEB_SETUP_GHC6_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc-$(GHC6_VERSION)/libHSrts_thr.a),,--flags=-threaded)

# Disable timer to help build on slow arches like hppa
# TODO: use _GHC_ after jessie: supported since haskell-devscripts 0.8.5
DEB_SETUP_GHC6_CONFIGURE_ARGS += --ghc-options="+RTS -V0 -RTS"

# put aside upstream-shipped temp files during build but after copyright-check
upstreamtmpfiles = man/man1/pandoc.1 man/man5/pandoc_markdown.5
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || cp $$file $$file.upstream; \
	done
	touch $@
clean::
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done
	rm -f debian/stamp-upstreamtmpstuff

# install data to varying path, and add symlink when datadir versioned
# TODO: simplify after jessie+1: unversioned since haskell-devscripts 0.8.19
datadir := $(if $(shell grep datasubdir /usr/share/cdbs/1/class/hlibrary.mk),pandoc,pandoc-$(abi))
DEB_DH_INSTALL_ARGS_pandoc-data = debian/tmp-inst-*/usr/share/$(datadir)/data /usr/share/$(datadir)/
DEB_DH_LINK_pandoc-data = $(if $(call cdbs_streq,$(datadir),pandoc),,/usr/share/$(datadir) /usr/share/pandoc)

# Haskell dependencies for any build from pandoc.cabal
#  * Versions only relevant post Squeeze when libhc-* namespace was introduced
deps-ghc += unordered-containers,<<,3
deps-ghc += parsec3,<<,3.2
deps-ghc += mtl,<<,2.3
deps-ghc += network,<<,2.6
deps-ghc += text,>=,0.11,<<,1.2
deps-ghc += zip-archive,>=,0.1.3.3,<<,0.3
deps-ghc += http,<<,1:4000.3
deps-ghc += texmath,>=,0.6.6.1,<<,0.7
deps-ghc += xml,<<,1.4
deps-ghc += random,<<1.1
deps-ghc += extensible-exceptions,<<,0.2
deps-ghc += pandoc-types,>=,1.12.3.3,<<,1.13
deps-ghc += aeson,>=,0.7,<<,0.8
deps-ghc += tagsoup,>=,0.13.1,<<,0.14
deps-ghc += base64-bytestring,<<,1.1
deps-ghc += zlib,<<,0.6
deps-ghc += highlighting-kate,>=,0.5.8,<<,0.6
deps-ghc += data-default,>=,0.4,<<,0.6
deps-ghc += temporary,<<,1.3
deps-ghc += blaze-html,>=,0.5,<<,0.8
deps-ghc += blaze-markup,<<,0.8
deps-ghc += attoparsec,<<,0.12
deps-ghc += yaml,>=,0.8.8.2,<<,0.9
deps-ghc += scientific,>=,0.2,<<,0.3
deps-ghc += hslua,<<,0.4
deps-ghc += http-conduit,>=,1.9,<<,2.2
deps-ghc += http-types,>=,0.8,<<,0.9
deps-ghc += text,>=,0.11,<<,0.12
# Should be safe to drop versioning for Squeeze
deps-ghc += syb,<<,0.5

# Haskell dependencies for testsuite from pandoc.cabal
deps-ghc-test += diff,>=,0.2,<<,0.3
deps-ghc-test += test-framework,<<,0.9
deps-ghc-test += test-framework-hunit,<<,0.4
deps-ghc-test += test-framework-quickcheck2,<<,0.4
deps-ghc-test += quickcheck2,>=,2.4,<<,2.8
deps-ghc-test += hunit,<<,1.3
deps-ghc-test += template-haskell,<<,2.9
deps-ghc-test += ansi-terminal,<<,0.7

# Haskell dependencies (maybe) needed for documentation
# TODO: actually use these (not maintain Build-depends-indep by hand)
deps-ghc-doc += blaze-builder
deps-ghc-doc += digest
deps-ghc-doc += dlist
deps-ghc-doc += hs-bibutils
deps-ghc-doc += pcre-light
deps-ghc-doc += rts
deps-ghc-doc += transformers
deps-ghc-doc += utf8-string

expand-ghc-dep = $(comma) libghc-$2-$1 $(if $3,($3 $4)$(if $5,$(comma) libghc-$2-$1 ($5 $6)))
strip-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep)))))
expand-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep))),$(word 2,$(subst $(comma),$(space),$(dep))),$(word 3,$(subst $(comma),$(space),$(dep))),$(word 4,$(subst $(comma),$(space),$(dep))),$(word 5,$(subst $(comma),$(space),$(dep)))))

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , ghc, alex, happy
CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(deps-ghc))
# FIXME: enable, set DEB_ENABLE_TESTS = yes, and configure with -ftests
#CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(deps-ghc-test))
CDBS_BUILD_DEPENDS += , ghc-prof
CDBS_BUILD_DEPENDS += , $(call strip-ghc-deps,prof,$(deps-ghc))
CDBS_BUILD_DEPENDS_INDEP += , ghc-doc
CDBS_BUILD_DEPENDS_INDEP += , $(call strip-ghc-deps,doc,$(deps-ghc) $(deps-ghc-doc))

# Needed for our packaging
CDBS_BUILD_DEPENDS += , haskell-devscripts

# Needed (always/often/seldom) at runtime
#  texlive-* needed for PDF output
#  etoolbox needed for PDF output of data with YAML metadata
# TODO: recommend pandoc-citeproc (and add to description) when in Debian
# TODO: suggest slide show Javascript libraries when in Debian
CDBS_DEPENDS_pandoc = pandoc-data
CDBS_SUGGESTS_pandoc = texlive-latex-recommended, texlive-xetex, texlive-luatex
CDBS_SUGGESTS_pandoc +=, pandoc-citeproc, etoolbox

## pandoc 1.13.2.1~dfsg

=== Makefile ===
version=$(shell grep '^Version:' pandoc.cabal | awk '{print $$2;}')
makemanpages=$(shell find dist -type f -name make-pandoc-man-pages)
ifeq "${makemanpages}" ""
	makemanpages=@echo "You need to 'cabal configure -fmake-pandoc-man-pages && cabal build'" && exit 1
endif
setup=dist/setup/setup
MANPAGES=man/man1/pandoc.1 man/man5/pandoc_markdown.5
PREFIX ?= /usr/local

quick:
	cabal configure --enable-tests --disable-optimization
	cabal build

full:
	cabal configure --enable-tests --enable-optimization -ftrypandoc -fmake-pandoc-man-pages -fembed_data_files --enable-benchmarks
	cabal build
	cabal haddock

deps:
	cabal install --only-dependencies --enable-tests -ftrypandoc -fmake-pandoc-man-pages -fembed_data_files --enable-benchmarks

prof:
	cabal configure --enable-library-profiling --enable-executable-profiling --enable-optimization --enable-tests
	cabal build

test:
	cabal test

bench:
	cabal bench

install: full
	cabal copy
	cabal register

dist: man
	cabal sdist
	rm -rf "pandoc-${version}"
	tar xvzf dist/pandoc-${version}.tar.gz
	cd pandoc-${version}
	cabal configure ${CABALARGS} && cabal build && cabal test && cd .. && rm -rf "pandoc-${version}"

debpkg:
	./make_deb.sh

man: $(MANPAGES)

osxpkg:
	./make_osx_package.sh

%.1: %.1.template README
	${makemanpages}

%.5: %.5.template README
	${makemanpages}

clean:
	cabal clean
	-rm $(MANPAGES)
	-rm -rf $(BINDIST) $(BINDIST).tar.gz

.PHONY: deps quick full install man clean test bench haddock osxpkg dist bindist prof

=== debian/changelog ===
pandoc (1.13.2.1~dfsg-1build6) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Aug 2015 12:41:52 +0100

pandoc (1.13.2.1~dfsg-1build5) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Aug 2015 18:54:49 +0100

pandoc (1.13.2.1~dfsg-1build4) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jul 2015 20:28:14 +0100

pandoc (1.13.2.1~dfsg-1build3) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jul 2015 09:52:34 +0100

pandoc (1.13.2.1~dfsg-1build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jul 2015 10:21:41 +0100

pandoc (1.13.2.1~dfsg-1build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Jun 2015 20:27:06 +0100

pandoc (1.13.2.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Update to build with ghc 7.10.1.
    + Bump package upper bounds for filepath, blaze-html, blaze-markup.

  [ Jonas Smedegaard ]
  * Fix really enable network-uri as intended in 1.13.2~dfsg-2 (not only
    add needed package relations, but also drop negating build option).
  * Update package relations:
    + Fix tighten build-dependency on haskell-devscripts to versions
      using unversioned datadir.
    + Relax GHC upper bounds for blaze-html.
    + Relax to drop GHC lower bounds for text data-default scientific
      haddock-library deepseq-generics juicypixels quickcheck2: Needed
      versions satisfied even in oldstable.
    + Revert to build-depend unversioned on haskell-devscripts (was
      needed only for experimental builds).
  * Update copyright info:
    + Extend coverage for myself.
    + Merge identically licensed Flies-sections.
  * Bump debhelper compatibility level to 9.
  * Move packaging to pkg-haskell Alioth group.
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Apr 2015 11:45:35 +0200

pandoc (1.13.2~dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Data dir is no longer versiond in haskell-devscripts

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 11:21:30 +0200

pandoc (1.13.2~dfsg-3) experimental; urgency=medium

  * Override binary-or-shlib-defines-rpath

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Apr 2015 20:51:55 +0200

pandoc (1.13.2~dfsg-2) experimental; urgency=medium

  [ Jonas Smedegaard ]
  * Fix GHC (build-)dependency resolving for text (broken since
    1.12.2.1-1, but apparently didn't effectively wreak havoc).

  [ Joachim Breitner ]
  * Switch to network-uri

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Apr 2015 19:41:07 +0200

pandoc (1.13.2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Exclude in repackaged upstream tarball docx files with ICC profiles
    lacking license.
  * Extract metadata from images, fonts and archives before copyright
    check (instead of just skipping them).
  * Update copyright info:
    + Add/remove copyright holders to reflect new upstream release.
    + Drop no longer used BSD-2-clause license.
    + Include full verbatim statement for public-domain image.
  * Update long descriptions to mention new reader txt2tags, and new
    writers DokuWiki and Haddock markup.
  * Set configure flag to avoid use of libraries not yet in Debian.
  * Update package relations:
    + Build-depend on libimage-exiftool-perl libregexp-assemble-perl
      libipc-system-simple-perl lcdf-typetools: Needed for metadata
      extraction.
    + Tighten GHC (build-)dependencies on zip-archive texmath
      pandoc-types aeson highlighting-kate.
    + Relax GHC (build-)dependencies on text random scientific.
    + Add GHC (build-)dependencies on sha haddock-library
      deepseq-generics juicypixels http-client http-client-tls.
    + Drop GHC (build-)dependencies on attoparsec http-conduit.
  * Update/unfuzz patches.

  [ Joachim Breitner ]
  * Depend on haskell-devscript (>= 0.9), to force building against
    experimental 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 30 Dec 2014 11:45:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,56 +9,64 @@
  devscripts,
  debhelper,
  dh-buildinfo,
+ libimage-exiftool-perl,
+ libregexp-assemble-perl,
+ libipc-system-simple-perl,
+ lcdf-typetools,
  ghc,
  alex,
  happy,
  libghc-unordered-containers-dev (<< 3),
  libghc-parsec3-dev (<< 3.2),
  libghc-mtl-dev (<< 2.3),
- libghc-network-dev (<< 2.6),
- libghc-text-dev (<< 1.2),
- libghc-zip-archive-dev (>= 0.1.3.3),
+ libghc-network-dev (>= 2.6),
+ libghc-network-uri-dev (>= 2.6),
+ libghc-network-uri-dev (<< 2.7),
+ libghc-text-dev (<< 1.3),
+ libghc-zip-archive-dev (>= 0.2.3.4),
  libghc-zip-archive-dev (<< 0.3),
  libghc-http-dev (<< 1:4000.3),
- libghc-texmath-dev (>= 0.6.6.1),
- libghc-texmath-dev (<< 0.7),
+ libghc-texmath-dev (>= 0.8.0.1),
+ libghc-texmath-dev (<< 0.9),
  libghc-xml-dev (<< 1.4),
- libghc-random-dev (<<1.1 ),
+ libghc-random-dev (<<1.2 ),
  libghc-extensible-exceptions-dev (<< 0.2),
- libghc-pandoc-types-dev (>= 1.12.3.3),
+ libghc-pandoc-types-dev (>= 1.12.4),
  libghc-pandoc-types-dev (<< 1.13),
- libghc-aeson-dev (>= 0.7),
- libghc-aeson-dev (<< 0.8),
+ libghc-aeson-dev (>= 0.7.0.5),
+ libghc-aeson-dev (<< 0.9),
  libghc-tagsoup-dev (>= 0.13.1),
  libghc-tagsoup-dev (<< 0.14),
  libghc-base64-bytestring-dev (<< 1.1),
  libghc-zlib-dev (<< 0.6),
- libghc-highlighting-kate-dev (>= 0.5.8),
+ libghc-highlighting-kate-dev (>= 0.5.11.1),
  libghc-highlighting-kate-dev (<< 0.6),
- libghc-data-default-dev (>= 0.4),
  libghc-data-default-dev (<< 0.6),
  libghc-temporary-dev (<< 1.3),
  libghc-blaze-html-dev (>= 0.5),
- libghc-blaze-html-dev (<< 0.8),
+ libghc-blaze-html-dev (<< 0.9),
  libghc-blaze-markup-dev (<< 0.8),
- libghc-attoparsec-dev (<< 0.12),
  libghc-yaml-dev (>= 0.8.8.2),
  libghc-yaml-dev (<< 0.9),
- libghc-scientific-dev (>= 0.2),
- libghc-scientific-dev (<< 0.3),
+ libghc-scientific-dev (<< 0.4),
  libghc-hslua-dev (<< 0.4),
- libghc-http-conduit-dev (>= 1.9),
- libghc-http-conduit-dev (<< 2.2),
+ libghc-sha-dev (>= 1.6),
+ libghc-sha-dev (<< 1.7),
+ libghc-haddock-library-dev (<< 1.2),
+ libghc-deepseq-generics-dev (<< 0.2),
+ libghc-juicypixels-dev (<< 3.3),
+ libghc-http-client-dev (<< 0.5),
+ libghc-http-client-tls-dev (<< 0.3),
  libghc-http-types-dev (>= 0.8),
  libghc-http-types-dev (<< 0.9),
- libghc-text-dev (>= 0.11),
- libghc-text-dev (<< 0.12),
  libghc-syb-dev (<< 0.5),
  ghc-prof,
  libghc-unordered-containers-prof,
  libghc-parsec3-prof,
  libghc-mtl-prof,
  libghc-network-prof,
+ libghc-network-uri-prof,
+ libghc-text-prof,
  libghc-zip-archive-prof,
  libghc-http-prof,
  libghc-texmath-prof,
@@ -75,20 +83,24 @@
  libghc-temporary-prof,
  libghc-blaze-html-prof,
  libghc-blaze-markup-prof,
- libghc-attoparsec-prof,
  libghc-yaml-prof,
  libghc-scientific-prof,
  libghc-hslua-prof,
- libghc-http-conduit-prof,
+ libghc-sha-prof,
+ libghc-haddock-library-prof,
+ libghc-deepseq-generics-prof,
+ libghc-juicypixels-prof,
+ libghc-http-client-prof,
+ libghc-http-client-tls-prof,
  libghc-http-types-prof,
- libghc-text-prof,
  libghc-syb-prof,
- haskell-devscripts
+ haskell-devscripts (>= 0.8.19~)
 Build-Depends-Indep: ghc-doc
   , libghc-unordered-containers-doc
   , libghc-parsec3-doc
   , libghc-mtl-doc
   , libghc-network-doc
+  , libghc-network-uri-doc
   , libghc-text-doc
   , libghc-zip-archive-doc
   , libghc-http-doc
@@ -106,11 +118,15 @@
   , libghc-temporary-doc
   , libghc-blaze-html-doc
   , libghc-blaze-markup-doc
-  , libghc-attoparsec-doc
   , libghc-yaml-doc
   , libghc-scientific-doc
   , libghc-hslua-doc
-  , libghc-http-conduit-doc
+  , libghc-sha-doc
+  , libghc-haddock-library-doc
+  , libghc-deepseq-generics-doc
+  , libghc-juicypixels-doc
+  , libghc-http-client-doc
+  , libghc-http-client-tls-doc
   , libghc-http-types-doc
   , libghc-text-doc
   , libghc-syb-doc
@@ -121,10 +137,10 @@
   , libghc-pcre-light-doc
   , libghc-transformers-doc
   , libghc-utf8-string-doc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://johnmacfarlane.net/pandoc/
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/pandoc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pandoc.git
+Vcs-Git: git://anonscm.debian.org/pkg-haskell/pandoc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/pandoc.git
 
 Package: pandoc
 Architecture: any
@@ -139,12 +155,13 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -183,12 +200,13 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -228,12 +246,13 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -269,12 +288,13 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
  and several kinds of HTML/javascript slide shows
  (S5, Slidy, Slideous, DZSlides, reveal.js).
  .
@@ -311,29 +331,16 @@
  and a command-line tool that uses this library.
  It can read markdown and (subsets of) HTML, reStructuredText,
  LaTeX, DocBook, MediaWiki markup, Haddock markup,
- OPML, Emacs Org-mode, and Textile,
- and it can write markdown, reStructuredText, HTML,
- LaTeX (including rendering as plain PDF or beamer slide shows),
- ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
- MediaWiki, Textile, groff man pages, GNU Texinfo, plain text,
- Emacs Org-Mode, AsciiDoc, InDesign ICML, EPUB (v2 or v3), FictionBook2,
- and several kinds of HTML/javascript slide shows
- (S5, Slidy, Slideous, DZSlides, reveal.js).
- .
- Pandoc extends standard markdown syntax
- with footnotes, embedded LaTeX, definition lists, tables,
- and other features.
- A compatibility mode is provided
- for those who need a drop-in replacement for Markdown.pl.
- .
- In contrast to existing tools for converting markdown to HTML,
- which use regex substitutions,
- pandoc has a modular design:
- it consists of a set of readers, which parse text in a given format
- and produce a native representation of the document,
- and a set of writers,
- which convert this native representation into a target format.
- Thus,
- adding an input or output format requires only adding a reader or writer.
- .
- This package contains the profiling libraries for Pandoc.
+ OPML, Emacs Org-mode, txt2tags, and Textile,
+ and it can write markdown, reStructuredText, HTML,
+ LaTeX (including rendering as plain PDF or beamer slide shows),
+ ConTeXt, DocBook, OPML, OpenDocument, ODT, Word docx, RTF,
+ MediaWiki, DokuWiki, Textile, groff man pages, GNU Texinfo,
+ plain text, Emacs Org-Mode, AsciiDoc, Haddock markup,
+ EPUB (v2 or v3), FictionBook2, InDesign ICML,
+ and several kinds of HTML/javascript slide shows
+ (S5, Slidy, Slideous, DZSlides, reveal.js).
+ .
+ Pandoc extends standard markdown syntax
+ with footnotes, embedded LaTeX, definition lists, tables,
+ and other features.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright © 2006-2010 John MacFarlane <jgm@berkeley.edu>
# Copyright © 2007-2008 Recai Oktaş <roktas@debian.org>
# Copyright © 2008-2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Pandoc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

pkg = $(DEB_SOURCE_PACKAGE)
pkg-data = $(pkg)-data

# ABI by default follows upstream version (without repackaging suffix)
abi = $(DEB_UPSTREAM_TARBALL_VERSION)

DEB_UPSTREAM_URL = https://hackage.haskell.org/package/$(DEB_UPSTREAM_PACKAGE)-$(DEB_UPSTREAM_TARBALL_VERSION)

DEB_UPSTREAM_REPACKAGE_EXCLUDES = \
 data/LaTeXMathML.js \
 tests/docx/block_quotes.docx \
 tests/docx/char_styles.docx \
 tests/docx/deep_normalize.docx \
 tests/docx/drop_cap.docx \
 tests/docx/hanging_indent.docx \
 tests/docx/headers.docx \
 tests/docx/inline_formatting.docx \
 tests/docx/inline_images.docx \
 tests/docx/links.docx \
 tests/docx/lists.docx \
 tests/docx/metadata.docx \
 tests/docx/metadata_after_normal.docx \
 tests/docx/normalize.docx \
 tests/docx/notes.docx \
 tests/docx/numbered_header.docx \
 tests/docx/tables.docx \
 tests/s5-fancy.html

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

# extract metadata from images, fonts and archives before copyright check
CDBS_BUILD_DEPENDS +=, libimage-exiftool-perl, libregexp-assemble-perl
CDBS_BUILD_DEPENDS +=, libipc-system-simple-perl, lcdf-typetools
local_inspection_regex = png|jpg|jpeg|gif|ttf|otf|docx|odt|epub
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^((.*/)?[^/]+\.($(local_inspection_regex))|debian/(changelog|copyright(|_hints|_newhints)))$$
debian/stamp-copyright-check: debian/stamp-extract-copyright
debian/stamp-extract-copyright:
	find * -type f -regextype posix-extended \
		-regex '.*\.($(local_inspection_regex))' \
		-print0 | perl -0 debian/print-metadata.pl
	touch $@
pre-build:: clean-extracted-copyright-during-build
clean-extracted-copyright-during-build: debian/stamp-copyright-check
	find -type f -name '*.metadata_dump' -delete
clean::
	find -type f -name '*.metadata_dump' -delete
	rm -f debian/stamp-extract-copyright

DEB_INSTALL_MANPAGES_$(pkg) = man/man1/*.1 man/man5/*.5 debian/hsmarkdown.1

# Use threaded RTS only when supported
DEB_SETUP_GHC_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc-$(GHC_VERSION)/libHSrts_thr.a),,--flags=-threaded)

# Disable timer to help build on slow arches like hppa
DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="+RTS -V0 -RTS"

# put aside upstream-shipped temp files during build but after copyright-check
upstreamtmpfiles = man/man1/pandoc.1 man/man5/pandoc_markdown.5
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || cp $$file $$file.upstream; \
	done
	touch $@
clean::
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done
	rm -f debian/stamp-upstreamtmpstuff

DEB_DH_INSTALL_ARGS_pandoc-data = debian/tmp-inst-*/usr/share/pandoc/data /usr/share/pandoc/

# Haskell dependencies for any build from pandoc.cabal
deps-ghc += unordered-containers,<<,3
deps-ghc += parsec3,<<,3.2
deps-ghc += mtl,<<,2.3
deps-ghc += network,>=,2.6
deps-ghc += network-uri,>=,2.6
deps-ghc += network-uri,<<,2.7
deps-ghc += text,<<,1.3
deps-ghc += zip-archive,>=,0.2.3.4,<<,0.3
deps-ghc += http,<<,1:4000.3
deps-ghc += texmath,>=,0.8.0.1,<<,0.9
deps-ghc += xml,<<,1.4
deps-ghc += random,<<1.2
deps-ghc += extensible-exceptions,<<,0.2
deps-ghc += pandoc-types,>=,1.12.4,<<,1.13
deps-ghc += aeson,>=,0.7.0.5,<<,0.9
deps-ghc += tagsoup,>=,0.13.1,<<,0.14
deps-ghc += base64-bytestring,<<,1.1
deps-ghc += zlib,<<,0.6
deps-ghc += highlighting-kate,>=,0.5.11.1,<<,0.6
deps-ghc += data-default,<<,0.6
deps-ghc += temporary,<<,1.3
deps-ghc += blaze-html,>=,0.5,<<,0.9
deps-ghc += blaze-markup,<<,0.8
deps-ghc += yaml,>=,0.8.8.2,<<,0.9
deps-ghc += scientific,<<,0.4
deps-ghc += hslua,<<,0.4
deps-ghc += sha,>=,1.6,<<,1.7
deps-ghc += haddock-library,<<,1.2
deps-ghc += deepseq-generics,<<,0.2
deps-ghc += juicypixels,<<,3.3
deps-ghc += http-client,<<,0.5
deps-ghc += http-client-tls,<<,0.3
deps-ghc += http-types,>=,0.8,<<,0.9
deps-ghc += syb,<<,0.5

# Haskell dependencies for testsuite from pandoc.cabal
deps-ghc-test += diff,>=,0.2,<<,0.3
deps-ghc-test += test-framework,<<,0.9
deps-ghc-test += test-framework-hunit,<<,0.4
deps-ghc-test += test-framework-quickcheck2,<<,0.4
deps-ghc-test += quickcheck2,<<,2.8
deps-ghc-test += hunit,<<,1.3
deps-ghc-test += template-haskell,<<,2.9
deps-ghc-test += ansi-terminal,<<,0.7

# Haskell dependencies (maybe) needed for documentation
# TODO: actually use these (not maintain Build-depends-indep by hand)
deps-ghc-doc += blaze-builder
deps-ghc-doc += digest
deps-ghc-doc += dlist
deps-ghc-doc += hs-bibutils
deps-ghc-doc += pcre-light
deps-ghc-doc += rts
deps-ghc-doc += transformers
deps-ghc-doc += utf8-string

expand-ghc-dep = $(comma) libghc-$2-$1 $(if $3,($3 $4)$(if $5,$(comma) libghc-$2-$1 ($5 $6)))
strip-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep)))))
expand-ghc-deps = $(foreach dep,$2,$(call expand-ghc-dep,$1,$(word 1,$(subst $(comma),$(space),$(dep))),$(word 2,$(subst $(comma),$(space),$(dep))),$(word 3,$(subst $(comma),$(space),$(dep))),$(word 4,$(subst $(comma),$(space),$(dep))),$(word 5,$(subst $(comma),$(space),$(dep)))))

# Needed by upstream build process
CDBS_BUILD_DEPENDS +=, ghc, alex, happy
CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(deps-ghc))
# FIXME: enable, set DEB_ENABLE_TESTS = yes, and configure with -ftests
#CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(deps-ghc-test))
CDBS_BUILD_DEPENDS +=, ghc-prof
CDBS_BUILD_DEPENDS +=, $(call strip-ghc-deps,prof,$(deps-ghc))
CDBS_BUILD_DEPENDS_INDEP +=, ghc-doc
CDBS_BUILD_DEPENDS_INDEP +=, $(call strip-ghc-deps,doc,$(deps-ghc) $(deps-ghc-doc))

# Needed for our packaging
#  * recent haskell-devscripts needed for version-less datadir
CDBS_BUILD_DEPENDS +=, haskell-devscripts (>= 0.8.19~)

# Needed (always/often/seldom) at runtime
#  texlive-* needed for PDF output
#  etoolbox needed for PDF output of data with YAML metadata
# TODO: suggest slide show Javascript libraries when in Debian
CDBS_DEPENDS_$(pkg) = $(pkg-data)
CDBS_SUGGESTS_$(pkg) = texlive-latex-recommended, texlive-xetex, texlive-luatex
CDBS_SUGGESTS_$(pkg) +=, pandoc-citeproc, etoolbox
